---
title: "Get welcome status"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › users

`GET /v2/users/me/welcome-status`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/users/me/welcome-status
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/users/me/welcome-status';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/users/me/welcome-status"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "hasSeenWelcome": true
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`user-get-welcome-status.response.200.data`; object, required)
  - `hasSeenWelcome` (`user-get-welcome-status.response.200.data.hasSeenWelcome`; boolean, required)
- `meta` (`user-get-welcome-status.response.200.meta`; object, optional)
  - `timestamp` (`user-get-welcome-status.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`user-get-welcome-status.response.400.error`; object, required)
  - `code` (`user-get-welcome-status.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`user-get-welcome-status.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`user-get-welcome-status.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`user-get-welcome-status.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`user-get-welcome-status.response.401.error`; object, required)
  - `code` (`user-get-welcome-status.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`user-get-welcome-status.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`user-get-welcome-status.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`user-get-welcome-status.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`user-get-welcome-status.response.404.error`; object, required)
  - `code` (`user-get-welcome-status.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`user-get-welcome-status.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`user-get-welcome-status.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`user-get-welcome-status.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`user-get-welcome-status.response.500.error`; object, required)
  - `code` (`user-get-welcome-status.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`user-get-welcome-status.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`user-get-welcome-status.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`user-get-welcome-status.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`user-get-welcome-status.response.503.error`; object, required)
  - `code` (`user-get-welcome-status.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`user-get-welcome-status.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`user-get-welcome-status.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`user-get-welcome-status.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/user-get-welcome-status/index.md
